//-----------------------------------------------------------------------
// <copyright file=" ag_fixatitem.cs">
// * FileName: 二次绩效固定项.cs 
// </copyright>
//-----------------------------------------------------------------------
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Performance.EntityModels	
{
    /// <summary>
    /// 二次绩效固定项
    /// </summary>
    [Table("ag_fixatitem")]
	public class ag_fixatitem
    {
        /// <summary>
        /// 
        /// </summary>
        [Key]
		public int Id { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public Nullable<int> AllotId { get; set; }
    
        /// <summary>
        /// 二次绩效ID
        /// </summary>
        public Nullable<int> SecondId { get; set; }
    
        /// <summary>
        /// 
        /// </summary>
        public string UnitType { get; set; }
    
        /// <summary>
        /// 项目名
        /// </summary>
        public string ItemName { get; set; }
    
        /// <summary>
        /// 值
        /// </summary>
        public Nullable<decimal> ItemValue { get; set; }
    
        /// <summary>
        /// 系数
        /// </summary>
        public Nullable<decimal> FactorValue { get; set; }
    
        /// <summary>
        /// 排序
        /// </summary>
        public Nullable<decimal> Sort { get; set; }
    
        /// <summary>
        /// 字段类型 1 顶部概况 2 表格固定 3 工作量
        /// </summary>
        public Nullable<int> Type { get; set; }
    
        /// <summary>
        /// 1 自动带出 2 计算得出
        /// </summary>
        public Nullable<int> SourceType { get; set; }
    }
}
